<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# rzpipe

```text
usage: rzpipe [-h] arguments [arguments ...]

```

Execute stateful rizin commands through rzpipe.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|arguments|Arguments to pass to rzpipe|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|

### Examples
```text
pwndbg> rzpipe pdf @ sym.main
            ; DATA XREF from entry0 @ 0x1d3e8
┌ int main(int argc, char **argv, char **envp);
│           ; arg int argc @ rdi
│           ; arg char **argv @ rsi
│           ; arg char **envp @ rdx
[...]
│           ; var uint64_t var_18ch @ stack - 0x18c
│           ; var int64_t var_188h @ stack - 0x188
[...]
│           ; var int64_t canary @ stack - 0x40
│           0x0001b920      endbr64
│           0x0001b924      push  r15
│           0x0001b926      push  r14
│           0x0001b928      push  r13
│           0x0001b92a      push  r12
[...]
│           0x0001b966      test  eax, eax
│       ┌─< 0x0001b968      jne   0x1b9af
│       │   0x0001b96a      call  sym.xtrace_init
│       │   0x0001b96f      call  sym.check_dev_tty
│       │   ; CODE XREF from main @ 0x1b988
│      ┌──> 0x0001b974      cmp   dword [obj.debugging_login_shell], 0 ; [0x11224c:4]=0
│     ┌───< 0x0001b97b      je    0x1b9ba
│     │╎│   0x0001b97d      mov   edi, 3                               ; int s
[...]
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
